=begin
  *Name             : Friendly Cukes
  *Description      : module that holds methods to create new cucumber test app
  *Author           : Chandra sekaran
  *Creation Date    : 13/05/2015
  *Modification Date:
=end

require "friendly/cukes/version"

module Friendly
  module Cukes
    # Description   : creates a new cucumber test automation framework under the given app (directory) name
    # Author        : Chandra sekaran
    # Arguments     :
    #   app         : name of the cucumber app
    #
    def self.create_app(app)
      app = "test" if app.nil? || app.empty?
      directory_name = "#{Dir.pwd}/#{app}"
      Dir.mkdir(directory_name) unless File.exists?(directory_name)
      FileUtils.cp_r("#{Gem.loaded_specs['friendly-cukes'].full_gem_path}/lib/friendly/cukes/framework/.", directory_name)
      puts "*** The generic ruby-cucumber automation framework has been created under #{directory_name}"
      puts "*** Run 'cd #{app}' and 'bundle install' and get start with friendly-cukes"
      puts "*** For Windows make sure <ruby root>/bin has the latest ChromeDriver.exe and IEDriverServer.exe (2.45.0.0-32-bit), without which the framework wont run"
    end

  end
end
