require "rubygems"
require "cucumber"
require "cucumber/rake/task"
require "rspec"

# for running all scenarios under features/desktop/google_search/google_search.feature
Cucumber::Rake::Task.new(:desktop_google_search, "Run scenarios under desktop/google_search/google_search.feature") do |t|
  t.cucumber_opts = "features -p desktop_dev_chrome -t @tc_01 APP=GOOGLE"
end

# for running all scenarios under features/desktop/rubygems_search/gem_search.feature
Cucumber::Rake::Task.new(:desktop_rubygems_search, "Run scenarios under desktop/google_search/gem_search.feature") do |t|
  t.cucumber_opts = "features -p desktop_dev_chrome --tags @tc_02,@tc_03,@tc_04 APP=RUBYGEMS"
end

# for running all scenarios under features/mobile/google_search/mobile_google_search.feature
Cucumber::Rake::Task.new(:mobile_google_search, "Run scenarios under mobile/google_search/mobile_google_search.feature") do |t|
  t.cucumber_opts = "features -p mobile_dev_chrome_device -t @tc_05 APP=GOOGLE"
end