=begin
  *Name             : ObjectRepository
  *Description      : module that holds the desktop web page object definitions
  *Author           : Chandra sekaran
  *Creation Date    : 08/05/2015
  *Modification Date:
=end

module CUKES
  module ObjectRepository

    # object repository for desktop Google page
    module OR_DesktopGoogle
      include PageObject

      text_field(:textfield_search,               :name   => "q")
      button(:button_search,                      :name   => "btnG")
      div(:div_result,                            :id     => "search")
      link(:link_bet365,                          :href   => "http://www.bet365.com/")
    end

    # object repository for desktop Rubygems page
    module OR_RubyGems
      include PageObject

      # home page objects
      div(:div_header_image,                              :xpath    => "html/body/div/div[1]")

      link(:link_signin,                                  :href     => "/sign_in")
      text_field(:textfield_email,                        :id       => "session_who")
      text_field(:textfield_password,                     :id       => "session_password")
      button(:button_sign_in,                             :class    => "form__submit")
      link(:link_menu,                                    :class    => "header__popup-link")
      link(:link_signout,                                 :href     => "/sign_out")
      text_field(:input_search,                           :id       => "query")

      # gem list page objects
      h1(:h1_title,                                       :xpath    => "//h1[contains(@class,'page__heading')]")
      div(:div_search_result,                             :class    => "l-wrap--b")

      # gem description page objects
      text_fields(:textfield_gem_install,                 :xpath    => "//div[@class='gem__code-wrap']/input")
      pre(:pre_gemfile,                                   :xpath    => "//div[@class='bundler']/pre")
      div(:div_gem_version,                               :class    => "versions")
      div(:div_gem_runtime_dependencies,                  :id       => "runtime_dependencies")
      div(:div_gem_ruby_dependencies,                     :id       => "ruby_dependency")
      div(:div_gem_development_dependencies,              :id       => "development_dependencies")
    end
  end
end