=begin
  *Name             : Google Search
  *Description      : class that holds the Google page objects and method definitions
  *Author           : Chandra sekaran
  *Creation Date    : 24/04/2015
  *Modification Date:
=end

module CUKES
  class Google_HomePage
    include PageObject
    include PageUtils
    include ObjectRepository::OR_DesktopGoogle

    expected_title /Google|bet365/

    # Description         : invoked when the page class object is created
    # Author              : Chandra sekaran
    #
    def initialize_page
      wait_for_page_load
      has_expected_title?
    end

    # Description         : searches for the given input string
    # Author              : Chandra sekaran
    # Argument            :
    #   str_search_text   : search text
    #
    def search_for_text(str_search_text)
      wait_for_object(textfield_search_element, "Could not find 'search textbox'")
      self.textfield_search = str_search_text
      wait_for_object(textfield_search_element, "Could not find 'search button'")
      click_on(button_search_element)
      $log.success("Search completed successfully for string '#{str_search_text}'")
    rescue Exception => ex
      $log.error("Failure while searching for string '#{str_search_text}' : #{ex}")
      exit
    end

    # Description         : clicks the Bet365.com link from the search result
    # Author              : Chandra sekaran
    #
    def click_bet365
      wait_for_object(link_bet365_element, "Could not find 'bet365.com' link")
      click_on(link_bet365_element)
      $log.success("Bet365.com link clicked successfully")
    rescue Exception => ex
      $log.error("Failure in clicking the link for Bet365.com : #{ex}")
      exit
    end
  end
end