# Description    : step definitions for steps related to Gem search
# Author         : Chandra sekaran

# Given the user is on the rubygems.org home page
Given /^the user is on the rubygems\.org home page$/ do
  visit(CUKES::RubyGems)
end

# And the user is signed in
And /^the user is signed in$/ do
  on(CUKES::RubyGems).sign_in
end

# And the user is signed out
And /^the user is signed out$/ do
  visit(CUKES::RubyGems).sign_out
end

# When the user enters "watir" in search textbox and press enter
When /^the user enters "(.*?)" in search textbox and press enter$/ do |search_text|
  on(CUKES::RubyGems).search_for_gem(search_text)
end

# Then the user should be redirected to gem list page of "watir" gem
Then /^the user should be redirected to gem list page of "(.*?)" gem$/ do |gem_name|
  on(CUKES::RubyGems).compare_heading(gem_name)
end

# When the user selects the gem having the maximum downloads
When /^the user selects the gem having the maximum downloads$/ do
  @gem = on(CUKES::RubyGems).fetch_desired_gem
  $log.success("The gem '#{@gem}' has the maximum downloads")
end

# Then the user should be shown the gem description page
Then /^the user should be shown the gem description page$/ do
  on(CUKES::RubyGems).fetch_gem_details(@gem)
end

# When the user searches for a gem name from test data
When /^the user searches for a gem name from test data$/ do
  on(CUKES::RubyGems).search_for_gem
end