# Description    : step definitions for steps related to Google search
# Author         : Chandra sekaran

# Given the user is on the Google home page
Given /^the user is on the Google home page$/ do
  visit(CUKES::Google_HomePage)
end

# When the user enters "bet365" in the search textbox and clicks the search button
When /^the user enters "(.*?)" in the search textbox and clicks the search button$/ do |search_text|
  on(CUKES::Google_HomePage).search_for_text(search_text)
end

# Then the user should be shown the search results
Then /^the user should be shown the search results$/ do
  on(CUKES::Google_HomePage) do |page|
    page.wait_until(20, "Could not find 'result div' within 20s") { page.div_result_element.visible? }
    expect(page.div_result_element.visible?).to be true
    $log.success("Successfully found search results")
  end
end

# When the user clicks the link for bet365
When /^the user clicks the link for bet(\d+)$/ do |arg1|
  on(CUKES::Google_HomePage).click_bet365
  $log.success("Successfully clicked Bet365.com link")
end

# Then the user should be redirected to the bet365.com website
Then /^the user should be redirected to the bet(\d+)\.com website$/ do |arg1|
  on(CUKES::Google_HomePage) do |page|
    page.wait_for_page_load
    expect(page.title.include? "bet365 - Sports Betting").to be true
    $log.success("Successfully redirected to Bet365.com page")
  end
end