# Description    : step definitions for steps related to Google search
# Author         : Chandra sekaran

# Given the user is on the Google home page
Given /^the user is on the mobile Google home page$/ do
  visit(CUKES::MobileGoogle_HomePage)
end

# When the user enters "bet365" in the search textbox and clicks the search button
When /^the user searches for "(.*?)"$/ do |search_text|
  on(CUKES::MobileGoogle_HomePage).search_for_text(search_text)
end

# Then the user should be shown the search results
Then /^the user should be shown search results$/ do
  on(CUKES::MobileGoogle_HomePage) do |page|
    page.wait_for_object(page.div_result_element, "Could not find 'result div'")
    expect(page.div_result_element.visible?).to be true
    $log.success("Successfully found search results")
  end
end

# When the user clicks the link for bet365
When /^the user clicks the link for mobile rubygems$/ do
  on(CUKES::MobileGoogle_HomePage).click_rubygems
  $log.success("Successfully clicked rubygems.org link")
end

# Then the user should be redirected to the bet365.com website
Then /^the user should be redirected to the mobile rubygems.org website$/ do
  on(CUKES::MobileGoogle_HomePage) do |page|
    page.wait_for_page_load
    expect(page.title.include? "RubyGems.org").to be true
    $log.success("Successfully redirected to rubygems.org page")
  end
end