=begin
  *Name             : Friendly Cukes
  *Description      : module that holds the class methods that defines friendly cukes version details
  *Author           : Chandra sekaran
  *Creation Date    : 13/05/2015
  *Modification Date:
=end

require "fileutils"

module Friendly
  module Cukes
    VERSION = "0.0.1"

    class VersionInfo # :nodoc:
      # Description   : returns JRuby version if JRuby is the platform
      # Author        : Chandra sekaran
      #
      def jruby?
        ::JRUBY_VERSION if RUBY_PLATFORM == "java"
      end

      # Description   : returns ruby engine
      # Author        : Chandra sekaran
      #
      def engine
        defined?(RUBY_ENGINE) ? RUBY_ENGINE : 'mri'
      end

      # Description   : returns the cukes and platform details in a hash
      # Author        : Chandra sekaran
      #
      def version_hash
        hash_info = {}
        hash_info['warnings']              = []
        hash_info['friendly_cukes']        = Friendly::Cukes::VERSION
        hash_info['ruby']                  = {}
        hash_info['ruby']['version']       = ::RUBY_VERSION
        hash_info['ruby']['platform']      = ::RUBY_PLATFORM
        hash_info['ruby']['description']   = ::RUBY_DESCRIPTION
        hash_info['ruby']['engine']        = engine
        hash_info['ruby']['jruby']         = jruby? if jruby?
        hash_info
      end

      # Description   : displays the cukes and platform details
      # Author        : Chandra sekaran
      #
      def version
        begin
          require 'psych'
        rescue LoadError
        end
        require 'yaml'
        "# Friendly-Cukes (#{Friendly::Cukes::VERSION})\n" +
            YAML.dump(version_hash).each_line.map { |line| "    #{line}" }.join
      end
    end
    VERSION_INFO = VersionInfo.new.version_hash
  end
end
